Subject: [Dhcpv6bis] Hello! Welcome to new list for DHCPv6 bis work ...

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 25 Nov 2013 18:32:24 +0000

Hi:

This is the mailing list for discussion of issues by the DHCPv6 RFC 3315/3633 biz team and interested parties.

(This is also a test to confirm the list is set up and operating.)

The initial subscription list is the 'core' team (thank you for your interest):

1.       Tomek Mrugalski, <[email-masked]<mailto:[email-masked]>>

2.       Bernie Volz, <[email-masked]<mailto:[email-masked]>>

3.       Ted Lemon, <[email-masked]<mailto:[email-masked]>>

4.       Andrew Yourtchenko, <[email-masked]<mailto:[email-masked]>>

5.       Sheng Jiang, <[email-masked]<mailto:[email-masked]>>

6.       Marcin  Siodelski, <[email-masked]<mailto:[email-masked]>>

7.       Michael Richardson, <[email-masked]<mailto:[email-masked]>>

Description:

> DHCPv6 (RFC3315) was published over 10 years ago. DHC WG decided to

> start work on its update (aka 3315bis). This list is dedicated to

> discussion and coordination of the bis work. As it is expected to

> generate significant traffic that may annoying to non-interested

> persons, DHC chairs prefer to have a separate list. Participants are

> expected to be familiar with RFC3315, RFC3633, RFC3736 and other more

> recent work of DHC WG.

Welcome message (not sure if you'll receive this separately as you should be pre-subscribed):

> Welcome to the DHCPv6-bis discussion list. Thank you for volunteering

> for the RFC3315bis work. Please keep everything on the list. The git

> repo for keeping the intermediate versions of the drafts is here:

> https://github.com/dhcwg/rfc3315bis

> Please send your github login to Bernie and Tomek to get write access.

ACTION NEEDED: If you don't have a github login id, please create one and send it to us so we can give you write access (email [email-masked]<mailto:[email-masked]>).

Note: Tomek is on vacation this week and this is also the Thanksgiving week in the United States.

-          Bernie

---

From: Sheng Jiang <[email-masked]>
Date: Wed, 27 Nov 2013 06:34:23 +0000

> Please send your github login to Bernie and Tomek to get write access.

Hi，Bernie,

My github account:
https://github.com/shengjiang

Cheers,

Sheng

From: Dhcpv6bis [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Tuesday, November 26, 2013 2:32 AM
To: [email-masked]
Subject: [Dhcpv6bis] Hello! Welcome to new list for DHCPv6 bis work ...

Hi:

The initial subscription list is the ‘core’ team (thank you for your interest):

> Please send your github login to Bernie and Tomek to get write access.

ACTION NEEDED: If you don’t have a github login id, please create one and send it to us so we can give you write access (email [email-masked]<mailto:[email-masked]>).

-        Bernie

---

From: Tomek Mrugalski <[email-masked]>
Date: Thu, 28 Nov 2013 00:41:29 +0100

> Please send your github login to Bernie and Tomek to get write access.
Hi everyone!

Welcome to the list and thanks for volunteering to help with this work.
I think I picked up everyone's github logins and granted write access.

You all should be able to commit to the archive now.

I saw that Michael forked the repo and did his first edits. It's great
to see first changes. We will probably need to coordinate how we split
the work and how we organize changes. Michael, you now should have write
access, so feel free to merge you changes.

Here are couple possible models. Other are possible (e.g. using branches
or master only):

1. fork/merge - when someone wants to make a change, he uses his copy of
the repo. Once the change is done, pull request is issued and the change
is merged. Here are the properties of this approach:
+ completely contention free (everyone can work at the same time)
- there are many repos and if the merge is not done frequently,
  they may diverge quite quickly
- there is a need for someone to merge the changes. If that role is
  assigned to a single person, there is increased workload (and a
  single point of failure - that person could go on vacation, get sick,
  etc. and the work would stop)

2. everyone commits to the same repo (on master) - We could take turns
or pass a virtual token. Whoever has the token, is allowed to make
changes. Once he is done, the token is passed to the next person.
+ proven to work well with other drafts
+ no single point of failure. Absence of any team member does not stop
  the work from going forward.
- theoretically slower progress, as only one person is able to make
  changes at any given time. (This is mostly theoretical drawback,
  because practice shows that people are usually busy with other things
  and seldom more than one wants to work on a given draft at the same
  time. In that case we could rapidly pass the token back and forth)

Bernie suggested that it would be good to have a webex meeting. That's
definitely a good idea. We should decide how we want the git commits be
organized, if/how often do we want additional webex meetings and what
are the actual tasks.

As you probably seen already, there's 3315 xml in the repo. It was
generated using nroff2xml, a tool that I wrote for 3315bis work. Perhaps
a tool is too fancy word for it. It's just a python script that tries to
parse nroff and generate XML based on it. I tried to address the bulk
work - converting sections, text and getting the references right.
Things that occur only once in the xml were left for manual conversion
(it doesn't make sense to spend hours writing a script for something
that can be done manually in 5 minutes). That script will probably come
in handy once we finish clean up work on 3315 and will move to 3633.

Tomek

---

From: Sheng Jiang <[email-masked]>
Date: Thu, 28 Nov 2013 05:57:39 +0000

Hi, Tomek,

Thanks for your kickoff work, and convert nroff into xml. Your script works well. I only catch format errors in Terminology and Reference session. :)

Personally, I prefer the first working model (everyone works in parallel). Before that, we should discuss the content of update. Then how to split the work between us.

Cheers,

Sheng

>-----Original Message-----
>From: Dhcpv6bis [mailto:[email-masked]] On Behalf Of Tomek
>Mrugalski
>Sent: Thursday, November 28, 2013 7:41 AM
>To: [email-masked]
>Subject: Re: [Dhcpv6bis] Welcome, git access, random notes
>
>I saw that Michael forked the repo and did his first edits. It's great to see first
>changes. We will probably need to coordinate how we split the work and how
>we organize changes. Michael, you now should have write access, so feel free
>to merge you changes.
>
>Here are couple possible models. Other are possible (e.g. using branches or
>master only):
>
>the repo. Once the change is done, pull request is issued and the change is
>merged. Here are the properties of this approach:
>2. everyone commits to the same repo (on master) - We could take turns or
>pass a virtual token. Whoever has the token, is allowed to make changes.
>Once he is done, the token is passed to the next person.
>organized, if/how often do we want additional webex meetings and what are
>the actual tasks.
>
>As you probably seen already, there's 3315 xml in the repo. It was generated
>using nroff2xml, a tool that I wrote for 3315bis work. Perhaps a tool is too
>fancy word for it. It's just a python script that tries to parse nroff and
>generate XML based on it. I tried to address the bulk work - converting
>sections, text and getting the references right.
>Things that occur only once in the xml were left for manual conversion (it
>doesn't make sense to spend hours writing a script for something that can be
>done manually in 5 minutes). That script will probably come in handy once we
>finish clean up work on 3315 and will move to 3633.
>
>Tomek
>
>_______________________________________________
>Dhcpv6bis mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/dhcpv6bis